Jump to content

Интернет через локальную сеть


Recommended Posts

Добрый день!

Проблема с интернетом.

Есть сеть: 3 виндовые машины и 1 линукс. Есть модем.

Изначально адреса всех машин были статические, модем был настроен как bridge. Всё работало (в т.ч. интернет).

Затем модем был переведен в режим pppoe и адреса виндовых машин сменены на динамические. После этого интернет присутствует только на виндовых машинах. На линуксе интернета нет. Crying or Very Sad

Пробовал перестроить линукс-машину со статического адреса на динамический - ничего не дало. Локальную сеть вижу, а интернета нет. Пробовал удалить соединение по локальной сети и создать подключение через pppoe - интренета по-прежнему нет. Перепробовал все способы организации сети, перечисленные в drakconnect - глухо Sad

Что делать? Нужна помощь.

Спасибо.

P.S.

Mandriva 2008.

P.P.S.

Из винды, установленной в виртуальной машине (хост - линукс), интернет тоже есть

Link to post
Share on other sites

Так он и настроен роутером. До этого было бридж.

Логин-пароль вписаны. vci/vpi тоже.

При запуске системы всплывает сообщение, что сеть поднята и адрес машины 192.168.1.5, шлюз 192.168.1.1

Link to post
Share on other sites

Что-то я совсем ничего не понимаю...

Интернет оказывается у меня работает, но только если пользоваться в качестве браузера Konqueror'ом Surprised

Мозилла и Опера ничего не видят Shocked .

В настройках на всякий случай поглядел - никаких прокси не задействовано.

Что за приколы такие?

На данный момент у меня из сетевых подключений есть только eth0, pppoe я удалил.

Вот все настройки интерфейса eth0:

1. Автоматический IP (BOOTP/DHCP)

2. Опция "Получать серверы DNS от DHCP" активирована

3. Клиент DHCP - dhclient

4. Таймаут не оговорен

5. Опция "Получать серверы YP от DHCP" активирована

То есть все настройки те, которые предложены по умолчанию утилитой drakconnect

P.S.

filezilla, kget, ktorrent тоже работают...

Link to post
Share on other sites

Почитал ссылку и:

Сделал себе статический адрес, добавил его в список Lan-клиентов как статический, также указал его в DMZ модема.

В настройках DHCP(!) имена серверов DNS прописать вручную

Где эти настройки DHCP? В настройках модема ничего такого не нашёл. И какие имена нужно прописывать?

Link to post
Share on other sites

В настройках eth0 указал первый dns адрес dns-сервера провайдера.

Сейчас пишу из мозиллы Very Happy

Спасибо!

А всё-таки интересно, как konqueror и другие утилиты справляются, если dns-сервер модема не работает?

У них что, другие источники, чем у мозиллы и оперы?

Link to post
Share on other sites

Цитата:

А всё-таки интересно, как konqueror и другие утилиты справляются, если dns-сервер модема не работает?

У них что, другие источники, чем у мозиллы и оперы?

Сложно сказать. Я бы по-tcpdump'ил на интерфейсах, пробуя запросы от разных броузеров и искал различия.

Link to post
Share on other sites

cresta писал(а) Thu, 12 February 2009 20:55

А всё-таки интересно, как konqueror и другие утилиты справляются, если dns-сервер модема не работает?

У них что, другие источники, чем у мозиллы и оперы?

В linux резолвер не является отдельным процессом. Это набор библиотечных функций. Реализация резолвера может отличаться в различных программах. Некоторые резолверы (и это допускается спецификацией) могут обращаться за разрешением имени даже к корневым dns серверам напрямую.

Link to post
Share on other sites
  • 1 month later...

Не могу настроить в Fedora8 подключение к VPN. NetvorkManager при вводе ip-адресов вылетает с ошибкой.

скачал обновленный менеджер для этой федоры:

NetworkManager-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-devel-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-glib-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-glib-devel-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-gnome-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-openvpn-0.7.0-16.svn4326.fc8.i386.rpm

NetworkManager-pptp-0.7.0-0.12.svn4326.fc8.i386.rpm

NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8.i386.rpm

но при установке этих пакетов вот что выдает (соответственно):

Missing Dependency: libnm-util.so.0 is needed by package NetworkManager

Missing Dependency: NetworkManager = 1:0.7.0-0.5.svn3030.fc8 is needed by package NetworkManager-gnome

Missing Dependency: libnssutil3.so is needed by package NetworkManager

Missing Dependency: libnl >= 1.1 is needed by package NetworkManager

NetworkManager conflicts with NetworkManager-vpnc < 1:0.7.0-0.11.svn4326

Missing Dependency: dbus-glib >= 0.73-6 is needed by package NetworkManager

Missing Dependency: NetworkManager-glib = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager

Missing Dependency: libnm-util.so.0 is needed by package NetworkManager-openvpn

Missing Dependency: libnm-util.so.0 is needed by package NetworkManager-glib

Missing Dependency: libnm-util.so.0 is needed by package NetworkManager-vpnc

Missing Dependency: avahi-autoipd is needed by package NetworkManager

Missing Dependency: libnm-util.so.0 is needed by package NetworkManager-gnome

NetworkManager conflicts with NetworkManager-openvpn < 1:0.7.0-16.svn4326

Missing Dependency: dbus-glib >= 0.73-6 is needed by package NetworkManager-devel

Missing Dependency: NetworkManager = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-devel

Missing Dependency: NetworkManager = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-glib

Missing Dependency: libnssutil3.so is needed by package NetworkManager-glib

Missing Dependency: dbus-glib >= 0.73-6 is needed by package NetworkManager-glib

Missing Dependency: NetworkManager-glib = 1:0.7.0-0.5.svn3030.fc8 is needed by package NetworkManager

Missing Dependency: NetworkManager-glib = 1:0.7.0-0.5.svn3030.fc8 is needed by package NetworkManager-gnome

Missing Dependency: dbus-glib-devel >= 0.73-6 is needed by package NetworkManager-glib-devel

Missing Dependency: NetworkManager-devel = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-glib-devel

Missing Dependency: NetworkManager-glib = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-glib-devel

Missing Dependency: libnssutil3.so is needed by package NetworkManager-gnome

Missing Dependency: dbus-glib >= 0.73-6 is needed by package NetworkManager-gnome

Missing Dependency: NetworkManager = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-gnome

Missing Dependency: NetworkManager-glib = 1:0.7.0-0.12.svn4326.fc8 is needed by package NetworkManager-gnome

Missing Dependency: NetworkManager >= 1:0.7.0-0.12.svn4326 is needed by package NetworkManager-openvpn

Missing Dependency: NetworkManager >= 1:0.7.0-0.12.svn4326 is needed by package NetworkManager-pptp

Missing Dependency: pptp is needed by package NetworkManager-pptp

Missing Dependency: NetworkManager >= 1:0.7.0-0.12.svn4326 is needed by package NetworkManager-vpnc

не могу понять, чего не хватает и в какой последовательности ставить. пробовал инсталлятор rpm обновить на более свежую версию, тоже не устанавливается - те же проблемы с зависимостями.

подскажите.

Link to post
Share on other sites

Немного разобрался. Поставил PPTP VPN. Но что дальше? Как ни настраиваю - все равно не могу подключиться, ошибка: "произошел сбой vpn соединения".

Что здесь нужно вводить?

прилагаю скриншоты настройки для винды и федоры.

index.php?t=getfile&id=540&private=0

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...